System 2.0.0.0 4.0.0.0 System.Enum

Use this enumeration when setting the property for a serial port connection.

Parity is an error-checking procedure in which the number of 1s must always be the same—either even or odd—for each group of bits that is transmitted without error. In modem-to-modem communications, parity is often one of the parameters that must be agreed upon by sending parties and receiving parties before transmission can take place.

Specifies the parity bit for a object.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.Parity

  Sets the parity bit so that the count of bits set is an even number.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.Parity

  Leaves the parity bit set to 1.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.Parity

  No parity check occurs.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.Parity

  Sets the parity bit so that the count of bits set is an odd number.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.Parity

  Leaves the parity bit set to 0.